package com.fs.course.service.impl;

import com.fs.common.core.redis.RedisCache;
import com.fs.course.domain.FsCourseSopLogs;
import com.fs.course.mapper.FsCourseSopLogsMapper;
import com.fs.course.param.FsCourseSopLogsParam;
import com.fs.course.service.IFsCourseSopLogsService;
import com.fs.course.vo.FsCourseSopLogsCVOList;
import com.fs.course.vo.FsCourseSopLogsTVOList;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 看课SOP  定时任务Service业务层处理
 *
 * @author fs
 * @date 2024-09-04
 */
@Service
public class FsCourseSopLogsServiceImpl implements IFsCourseSopLogsService
{
    @Autowired
    private FsCourseSopLogsMapper fsSopLogsMapper;

    @Autowired
    private RedisCache redisCache;
    /**
     * 查询看课SOP  定时任务
     *
     * @param id 看课SOP  定时任务主键
     * @return 看课SOP  定时任务
     */
    @Override
    public FsCourseSopLogs selectFsCourseSopLogsById(Long id)
    {
        return fsSopLogsMapper.selectFsCourseSopLogsById(id);
    }

    /**
     * 查询看课SOP  定时任务列表
     *
     * @param fsSopLogs 看课SOP  定时任务
     * @return 看课SOP  定时任务
     */
    @Override
    public List<FsCourseSopLogs> selectFsCourseSopLogsList(FsCourseSopLogs fsSopLogs)
    {
        return fsSopLogsMapper.selectFsCourseSopLogsList(fsSopLogs);
    }

    @Override
    public List<FsCourseSopLogsCVOList> selectFsCourseSopLogsCVOList(FsCourseSopLogsParam param) {
        return fsSopLogsMapper.selectFsCourseSopLogsCVOList(param);
    }

    /**
     * 新增看课SOP  定时任务
     *
     * @param fsSopLogs 看课SOP  定时任务
     * @return 结果
     */
    @Override
    public int insertFsCourseSopLogs(FsCourseSopLogs fsSopLogs)
    {
        return fsSopLogsMapper.insertFsCourseSopLogs(fsSopLogs);
    }

    /**
     * 修改看课SOP  定时任务
     *
     * @param fsSopLogs 看课SOP  定时任务
     * @return 结果
     */
    @Override
    public int updateFsCourseSopLogs(FsCourseSopLogs fsSopLogs)
    {
        return fsSopLogsMapper.updateFsCourseSopLogs(fsSopLogs);
    }

    /**
     * 批量删除看课SOP  定时任务
     *
     * @param ids 需要删除的看课SOP  定时任务主键
     * @return 结果
     */
    @Override
    public int deleteFsCourseSopLogsByIds(Long[] ids)
    {
        return fsSopLogsMapper.deleteFsCourseSopLogsByIds(ids);
    }

    /**
     * 删除看课SOP  定时任务信息
     *
     * @param id 看课SOP  定时任务主键
     * @return 结果
     */
    @Override
    public int deleteFsCourseSopLogsById(Long id)
    {
        return fsSopLogsMapper.deleteFsCourseSopLogsById(id);
    }

    /**
     * 定时获取销售待发送消息
     */
    @Override
    public   List<FsCourseSopLogsTVOList> selectCourseSopLogsTVOList( List<String> arrayList) {
        return fsSopLogsMapper.selectCourseSopLogsTVOList(arrayList);
    }
}
